from marshmallow import Schema, fields


class CookieSchema(Schema):
    id = fields.Int()
    created_date = fields.DateTime()
    modified_date = fields.DateTime()
    name = fields.Str(required=True)
    recipe_url = fields.Str()
    sku = fields.Str(required=True)
    qoh = fields.Int(required=True)
    unit_cost = fields.Decimal(required=True)
